package a3test.debug;

import jp.sourceforge.acerola3d.a3.*;
import javax.swing.*;
import java.awt.event.*;

public class JA3EventDebug extends A3Controller {
    public static void main(String args[]) throws Exception {
        JFrame f = new JFrame("JA3EventDebug");
        f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        JA3Canvas2 c = JA3Canvas2.createJA3Canvas(300,300);
        f.add(c);
        f.pack();
        f.setVisible(true);
        c.setA3Controller(new JA3EventDebug());
    }

    @Override
    public void init() {
        System.out.println("init.");
    }
    @Override
    public void keyPressed(KeyEvent e) {
        System.out.println("keyPressed.");
    }
    @Override
    public void keyReleased(KeyEvent e) {
        System.out.println("keyReleased.");
    }
    @Override
    public void keyTyped(KeyEvent e) {
        System.out.println("keyTyped.");
    }
    @Override
    public void mouseClicked(A3Event e) {
        System.out.println("mouseClicked.");
    }
    @Override
    public void mouseDoubleClicked(A3Event e) {
        System.out.println("mouseDoubleClicked.");
    }
    @Override
    public void mouseDragged(A3Event e) {
        System.out.println("mouseDragged.");
    }
    @Override
    public void mousePressed(A3Event e) {
        System.out.println("mousePressed.");
    }
    @Override
    public void mouseReleased(A3Event e) {
        System.out.println("mouseReleased.");
    }
    @Override
    public void stop() {
        System.out.println("stoped.");
    }
}
